gr-baz Package

Public Member Functions | Friends | List of all members
baz_burst_buffer Class Reference

buffer bursts More...

`#include <baz_burst_buffer.h>`

Inheritance diagram for baz_burst_buffer:
[legend]

## Public Member Functions
| ~baz_burst_buffer ()
void | reallocate_buffer (void)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_burst_buffer_sptr | baz_make_burst_buffer (size_t itemsize, int flush_length, const std::string &length_tag_name, bool verbose, bool only_burst, bool strip_tags)

## Detailed Description

buffer bursts

## Constructor & Destructor Documentation

## ◆ ~baz_burst_buffer()

baz_burst_buffer::~baz_burst_buffer | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void baz_burst_buffer::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ general_work()

int baz_burst_buffer::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## ◆ reallocate_buffer()

void baz_burst_buffer::reallocate_buffer | ( | void |  | ) |

## Friends And Related Function Documentation

## ◆ baz_make_burst_buffer

BAZ_API baz_burst_buffer_sptr baz_make_burst_buffer | ( | size_t | itemsize,
|  | int | flush_length,
|  | const std::string & | length_tag_name,
|  | bool | verbose,
|  | bool | only_burst,
|  | bool | strip_tags
| ) |  |
| friend

The documentation for this class was generated from the following file:

- baz_burst_buffer.h